Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezmodule/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6223 2001-07-20 11:20:31Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "classes/ezhttptool.php" );
29
30 switch ( $url_array[2] )
31 {
32 case "activate":
33 {
34 $ModuleName = $url_array[3];
35 $Activate = true;
36 include( "kernel/ezmodule/admin/activate.php" );
37 }
38 break;
39
40 case "deactivate":
41 {
42 $ModuleName = $url_array[3];
43 $Activate = false;
44 include( "kernel/ezmodule/admin/activate.php" );
45 }
46 break;
47
48 default :
49 {
50 eZHTTPTool::header( "Location: /error/403" );
51 exit();
52 }
53 break;
54 }
55
56 // display a page with error msg
57
58 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$ModuleName
$ModuleName
Definition: ezarticle/user/searchsupplier.php:30
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.